<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPricingPlugin\EventListener\Admin;

use Knp\Menu\ItemInterface;
use Sylius\Bundle\UiBundle\Menu\Event\MenuBuilderEvent;

class OrganizationMenuBuilder
{
    public function addItem(MenuBuilderEvent $event): void
    {
        $menu = $event->getMenu()->getChild('customers');

        if ($menu instanceof ItemInterface) {
            $menu
                ->addChild('organization', ['route' => 'dedi_sylius_customer_pricing_plugin_admin_organization_index'])
                ->setLabel('dedi_sylius_customer_pricing_plugin.ui.organization')
                ->setLabelAttribute('icon', 'building')
            ;
        }
    }
}
